=== debian/control ===
Source: privoxy
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Roland Rosenfeld <roland@debian.org>
Build-Depends: autoconf,
               debhelper (>= 11~),
               docbook,
               docbook-dsssl,
               docbook-utils,
               groff,
               libpcre3-dev,
               man2html,
               opensp,
               po-debconf,
               sgmlspl,
               w3m,
               zlib1g-dev
Standards-Version: 4.1.3
Homepage: https://www.privoxy.org/

Package: privoxy
Architecture: any
Depends: adduser,
         debconf,
         logrotate,
         lsb-base (>= 3.2-13),
         ucf,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: doc-base
Description: Privacy enhancing HTTP Proxy
 Privoxy is a web proxy with advanced filtering capabilities for
 protecting privacy, filtering web page content, managing cookies,
 controlling access, and removing ads, banners, pop-ups and other
 obnoxious Internet junk. Privoxy has a very flexible configuration
 and can be customized to suit individual needs and tastes. Privoxy
 has application for both stand-alone systems and multi-user networks.
 .
 Privoxy is based on Internet Junkbuster (tm).
