=== debian/tests/control ===
Tests: privoxy-regression-test
Depends: @, curl
