## privoxy 3.0.28

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,3 @@
-# $Id: Makefile,v 1.12 2016/04/04 10:50:18 fabiankeil Exp $
-#
 # Written by and Copyright (C) 2001 the SourceForge
 # Privoxy team. http://www.privoxy.org/
 #
