=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: privoxy
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Roland Rosenfeld <roland@debian.org>
+Maintainer: Roland Rosenfeld <roland@debian.org>
 Build-Depends: autoconf,
-               debhelper (>= 11~),
+               debhelper (>= 12~),
                docbook,
                docbook-dsssl,
                docbook-utils,
@@ -16,8 +15,11 @@
                sgmlspl,
                w3m,
                zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: https://www.privoxy.org/
+Vcs-Git: https://salsa.debian.org/debian/privoxy.git
+Vcs-Browser: https://salsa.debian.org/debian/privoxy
+Rules-Requires-Root: no
 
 Package: privoxy
 Architecture: any
@@ -29,6 +31,7 @@
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Recommends: doc-base
 Description: Privacy enhancing HTTP Proxy
  Privoxy is a web proxy with advanced filtering capabilities for
