## privoxy 3.0.32

=== debian/changelog ===
privoxy (3.0.32-2+deb11u1) bullseye; urgency=medium

  * 53_CVE-2021-44540: get_url_spec_param(): Free memory of compiled
    pattern spec before bailing (CVE-2021-44540).
  * 54_CVE-2021-44541: process_encrypted_request_headers(): Free header
    memory when failing to get the request destination (CVE-2021-44541).
  * 55_CVE-2021-44542: send_http_request(): Prevent memory leaks when
    handling errors (CVE-2021-44542).
  * 56_CVE-2021-44543: cgi_error_no_template(): Encode the template name
    to prevent XSS (CVE-2021-44543).

 -- Roland Rosenfeld <roland@debian.org>  Tue, 07 Dec 2021 19:59:33 +0100

privoxy (3.0.32-2) unstable; urgency=medium

  * Work around apparmor failure in testsuite (Closes: #986258).
  * apparmor: Allow multiple instances using /run/privoxy*.pid
  * README.Debian: add information about apparmor.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 03 Apr 2021 11:17:39 +0200

privoxy (3.0.32-1) unstable; urgency=medium

  * New upstream release 3.0.32.
  * Adapt all patches to new version.

 -- Roland Rosenfeld <roland@debian.org>  Thu, 25 Feb 2021 22:18:54 +0100

privoxy (3.0.31-1) unstable; urgency=medium

  * New upstream release 3.0.31.
  * Support nodoc build option.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 30 Jan 2021 21:40:46 +0100

privoxy (3.0.30-1) unstable; urgency=medium

  * New upstream release 3.0.30.
  * Update all patches to new version.
  * 15_mansection8, 35_man-spelling, 39_show-status and 40_redirect-ssl
    are now incorporated upstream.
  * Optimize debian/rules clean to restore pristine state.

 -- Roland Rosenfeld <roland@debian.org>  Thu, 28 Jan 2021 22:00:05 +0100

privoxy (3.0.29-2) unstable; urgency=medium

  * Use --enable-extended-statistics and --enable-pcre-host-patterns.
  * 39_show-status: Add new features to show-status page.
  * Remove 38_SOURCE_DATE_EPOCH, since upstream honors it when set.
  * Upgrade to Standards-Version 4.5.1 (no changes).
  * 40_redirect-ssl: Check the actual URL when https inspecting requests.
  * Add apparmor profile usr.sbin.privoxy.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 17 Jan 2021 13:10:33 +0100

privoxy (3.0.29-1) unstable; urgency=medium

  * New upstream release 3.0.29.
  * Update all patches to new version.
  * 36_trusted-cgi-referer-example and 37_ppedit-tests403 are now
    incorporated upstream.
  * d/copyright: Update to new upstream version.
  * d/copyright: use ./ prefix to upstream filenames, because orig.tar.gz
    is build with a ./ prefix.
  * Upgrade to debhelper v13.
  * Rebuild privoxy-man-page.html.
  * 38_SOURCE_DATE_EPOCH: Remove hardcoded SOURCE_DATE_EPOCH from
    configure.in but use the date from debian/changelog.
  * Remove 05_defaut_action since this is no longer needed.
  * Tag all patches with Forwarded header.
  * debian/watch: Cleanup and update to version 4.
  * Compile --with-mbedtls to allow https-inspection.
  * Adapt TLS/SSL settings to Debian FHS.
  * Generate dirs with correct permissions for https-inspection.
  * Delete https-inspection certs on purge.
  * Expire https-inspection certs after 90 days.
  * Compile --with-brotli to enable support for brotli decompression.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 29 Nov 2020 14:22:27 +0100

privoxy (3.0.28-3) unstable; urgency=medium

  * Add buildlog to salsa-ci test pipeline.
  * d/salsa-ci.yml stripped down using pipline-jobs.yml
  * Build-depend on debhelper-compat (= 12) instead of using d/compat.
  * Upgrade to Standards-Version 4.5.0 (no changes).
  * Add upstream metadata.
  * privoxy.service: run After=network-online.target, this fixes
    LP#1870101.

 -- Roland Rosenfeld <roland@debian.org>  Thu, 02 Apr 2020 18:04:44 +0200
