=== debian/control ===
--- 
+++ 
@@ -3,19 +3,22 @@
 Priority: optional
 Maintainer: Roland Rosenfeld <roland@debian.org>
 Build-Depends: autoconf,
-               debhelper (>= 12~),
-               docbook,
-               docbook-dsssl,
-               docbook-utils,
-               groff,
+               debhelper-compat (= 13),
+               dh-apparmor,
+               docbook <!nodoc>,
+               docbook-dsssl <!nodoc>,
+               docbook-utils <!nodoc>,
+               groff <!nodoc>,
+               libbrotli-dev,
+               libmbedtls-dev,
                libpcre3-dev,
-               man2html,
-               opensp,
+               man2html <!nodoc>,
+               opensp <!nodoc>,
                po-debconf,
-               sgmlspl,
-               w3m,
+               sgmlspl <!nodoc>,
+               w3m <!nodoc>,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: https://www.privoxy.org/
 Vcs-Git: https://salsa.debian.org/debian/privoxy.git
 Vcs-Browser: https://salsa.debian.org/debian/privoxy
@@ -33,6 +36,7 @@
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: doc-base
+Suggests: apparmor
 Description: Privacy enhancing HTTP Proxy
  Privoxy is a web proxy with advanced filtering capabilities for
  protecting privacy, filtering web page content, managing cookies,
