=== debian/changelog ===
privoxy (3.0.33-1build1) jammy; urgency=medium

  * No-change rebuild against libmbedcrypto7

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 18 Feb 2022 23:46:29 +0000

privoxy (3.0.33-1) unstable; urgency=medium

  * New upstream version 3.0.33.
  * Adapt all patches to new version.
  * Remove pcre dir from copyright and debian/source/lintian-overrides.
  * Undo lintian override for bug 992465.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 08 Dec 2021 16:29:31 +0100

privoxy (3.0.32-3) unstable; urgency=medium

  * d/maintscript: Remove orphaned /etc/privoxy/(standard|global).action
    (Closes: #990157).
  * No longer "rm /etc/privoxy" on purge.
  * postrm: optimize ucf purge of /etc/privoxy/config*
  * Update to Standards-Version 4.6.0 (no changes).
  * Use "command -v" instead of deprecated "which" in postrm.
  * Override lintian bug 992465 (usr/lib/systemd outside /lib).
  * debian/control: update Build-Depends for cross builds.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 27 Aug 2021 13:26:25 +0200
