=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: privoxy
 Section: web
 Priority: optional
-Maintainer: Roland Rosenfeld <roland@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Roland Rosenfeld <roland@debian.org>
 Build-Depends: autoconf,
                debhelper-compat (= 13),
                dh-apparmor,
@@ -13,12 +14,12 @@
                libmbedtls-dev,
                libpcre3-dev,
                man2html <!nodoc>,
-               opensp <!nodoc>,
+               opensp:native <!nodoc>,
                po-debconf,
                sgmlspl <!nodoc>,
                w3m <!nodoc>,
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.privoxy.org/
 Vcs-Git: https://salsa.debian.org/debian/privoxy.git
 Vcs-Browser: https://salsa.debian.org/debian/privoxy
