=== debian/watch ===
# See uscan(1) for format

version=4

opts=pgpsigurlmangle=s/$/.asc/ \
https://sf.net/ijbswa/privoxy-(\d+.*)-(?:stable|beta)-src.tar.gz
