## privoxy 3.0.34

=== Makefile ===
--- 
+++ 
@@ -70,6 +70,8 @@
 
 .PHONY: error
 
+dok: error
+
 #############################################################################
 
 ## Local Variables:
