=== debian/changelog ===
privoxy (3.0.34-3ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:15:19 +1100

privoxy (3.0.34-3ubuntu1) noble; urgency=medium

  * debian/apparmor/usr.sbin.privoxy: attempt on fixing the denial on
    containers (LP: #2058866).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 26 Mar 2024 17:16:43 +0100

privoxy (3.0.34-3build1) noble; urgency=medium

  * No-change rebuild against mbedtls t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Mar 2024 18:19:17 +0100

privoxy (3.0.34-3) unstable; urgency=medium

  * 35_pcre2-support: Update patch based on upstream GIT.
  * 36_pcre2-patternfix: Fix using anchored pattern in pcre2.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 27 Aug 2023 16:20:57 +0200

privoxy (3.0.34-2) unstable; urgency=medium

  * Add ro debconf translation.  Thanks to Remus-Gabriel Chelu
    (Closes: #1033443).
  * 35_pcre2-support: Build with libpcre2-dev instead of obsolete pcre3
    (Closes: #999981).

 -- Roland Rosenfeld <roland@debian.org>  Fri, 30 Jun 2023 09:28:22 +0200

privoxy (3.0.34-1) unstable; urgency=medium

  * New upstream version 3.0.34.
  * The following patches are now incorporated upstream: 35_gif_deanimate,
    36_pending_tls, 37_https_connect.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 05 Feb 2023 10:41:26 +0100

privoxy (3.0.33-4) unstable; urgency=medium

  * Add it debconf translation.  Thanks to Ceppo <ceppo@oziosi.org>
    (Closes: #1024071).
  * Update to Standards-Version 4.6.2 (no changes).
  * Remove lsb-base dependency, since it is essential.
  * 35_gif_deanimate: Tolerate multiple image extensions in a row.
  * 36_pending_tls: Check for pending TLS data from the client before
    checking if data is available on the connection.
  * 37_https_connect: Reject https URLs without CONNECT request.
  * d/maintscript: fix version numbers.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 28 Jan 2023 15:46:54 +0100

privoxy (3.0.33-3) unstable; urgency=medium

  * d/tests/conditional-defines: ignore 32-bit time_t on 32bit systems.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 25 Sep 2022 19:49:17 +0200

privoxy (3.0.33-2) unstable; urgency=medium

  * d/maintscript: Remove orphaned
    templates/edit-actions-for-url-string-filter (Closes: #1001501).
  * d/tests/conditional-defines: Check that expected #defines are enabled.
  * d/rules: --enable-compression at build time (still disabled in config).
  * d/tests/privoxy-regression-tests: 2 pass check with different options.
  * Update to Standards-Version 4.6.1 (no changes).
  * Add systemd timer support for cert cleanup.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 25 Sep 2022 11:52:25 +0200
