=== debian/control ===
--- 
+++ 
@@ -12,14 +12,14 @@
                groff <!nodoc>,
                libbrotli-dev,
                libmbedtls-dev,
-               libpcre3-dev,
+               libpcre2-dev,
                man2html <!nodoc>,
                opensp:native <!nodoc>,
                po-debconf,
                sgmlspl <!nodoc>,
                w3m <!nodoc>,
                zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://www.privoxy.org/
 Vcs-Git: https://salsa.debian.org/debian/privoxy.git
 Vcs-Browser: https://salsa.debian.org/debian/privoxy
@@ -30,7 +30,6 @@
 Depends: adduser,
          debconf,
          logrotate,
-         lsb-base (>= 3.2-13),
          ucf,
          ${misc:Depends},
          ${perl:Depends},
