## privoxy 4.0.0

=== debian/changelog ===
privoxy (4.0.0-2) unstable; urgency=medium

  * Add ca debconf translation.  Thanks to Carles Pina i Estany.
  * Update debian/upstream/signing-key.asc.
  * d/test/check-ssl : handle http proxy configuration (LP: #2097351).
    Thanks to Hector Cao <hector.cao@canonical.com> for providing a patch.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 05 Feb 2025 17:38:23 +0100

privoxy (4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0.
  * Update all patches to new version.  The following patches are now
    incorporated upstream: 35_pcre-support, 36_pcre2-patternfix,
    37_socks-bufferoverflow, 38_filter.c-init1, 39_filter.c-init2,
    40_openssl-deprwarn, 41_md5-to-sha256.
  * Update debian/copyright.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 18 Jan 2025 15:33:14 +0100

privoxy (3.0.34-6) unstable; urgency=medium

  * d/test/check-ssl: run privoxy-regression-test --check-bad-ssl.
  * debian/rules: preserve upstream install-sh on clean.
  * 38_filter.c-init1, 39_filter.c-init2: initialize variables in
    filter.c.
  * d/test/check-ssl: Add tests via howsmyssl.com.
  * Switch from mbedTLS to OpenSSL (Closes: #1075870).
  * 40_openssl-deprwarn: Get rid of some openssl deprecation warnings.
  * 41_md5-to-sha256: Use sha256 as hash algorithm for cert/key files.
  * debian/salsa-ci.yml: Update to new recipe.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 12 Oct 2024 17:00:09 +0200

privoxy (3.0.34-5) unstable; urgency=medium

  * d/tests/privoxy-regression-test: wait for privoxy to start up.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 15 May 2024 20:23:18 +0200

privoxy (3.0.34-4) unstable; urgency=medium

  * Update debian/copyright with help by lrc tool.
  * d/apparmor/usr.sbin.privoxy: Fix running in container (LP: #2058866,
    thanks to Łukasz 'sil2100' Zemczak for providing the patch).
  * d/tests/privoxy-regression-test: place privoxy output into artifacts.
  * d/tests/privoxy-regression-test: preserve privoxy logfile.
  * 37_socks-bufferoverflow: Fix socks buffer overflow under source
    fortification (LP: #2059344).
  * Update to Standards-Version 4.7.0 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Tue, 14 May 2024 21:55:58 +0200
