=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: privoxy
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Roland Rosenfeld <roland@debian.org>
+Maintainer: Roland Rosenfeld <roland@debian.org>
 Build-Depends: autoconf,
                debhelper-compat (= 13),
                dh-apparmor,
@@ -11,15 +10,15 @@
                docbook-utils <!nodoc>,
                groff <!nodoc>,
                libbrotli-dev,
-               libmbedtls-dev,
                libpcre2-dev,
+               libssl-dev,
                man2html <!nodoc>,
                opensp:native <!nodoc>,
                po-debconf,
                sgmlspl <!nodoc>,
                w3m <!nodoc>,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.privoxy.org/
 Vcs-Git: https://salsa.debian.org/debian/privoxy.git
 Vcs-Browser: https://salsa.debian.org/debian/privoxy
