=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: privoxy
+Maintainer: Roland Rosenfeld <roland@debian.org>
 Section: web
-Priority: optional
-Maintainer: Roland Rosenfeld <roland@debian.org>
 Build-Depends: autoconf,
                debhelper-compat (= 13),
                dh-apparmor,
@@ -12,30 +11,30 @@
                libbrotli-dev,
                libpcre2-dev,
                libssl-dev,
+               libzstd-dev,
                man2html <!nodoc>,
                opensp:native <!nodoc>,
                po-debconf,
                sgmlspl <!nodoc>,
                w3m <!nodoc>,
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/debian/privoxy
+Vcs-Git: https://salsa.debian.org/debian/privoxy.git
 Homepage: https://www.privoxy.org/
-Vcs-Git: https://salsa.debian.org/debian/privoxy.git
-Vcs-Browser: https://salsa.debian.org/debian/privoxy
-Rules-Requires-Root: no
 
 Package: privoxy
 Architecture: any
-Depends: adduser,
+Depends: ${misc:Depends},
+         ${perl:Depends},
+         ${shlibs:Depends},
+         adduser,
          debconf,
          logrotate,
-         ucf,
-         ${misc:Depends},
-         ${perl:Depends},
-         ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+         ucf
 Recommends: doc-base
 Suggests: apparmor
+Pre-Depends: ${misc:Pre-Depends}
 Description: Privacy enhancing HTTP Proxy
  Privoxy is a web proxy with advanced filtering capabilities for
  protecting privacy, filtering web page content, managing cookies,
