=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #
-# (c) 2002-2024 Roland Rosenfeld <roland@debian.org>
+# (c) 2002-2026 Roland Rosenfeld <roland@debian.org>
 #
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -33,6 +33,7 @@
 		--enable-compression \
 		--with-openssl \
 		--with-brotli \
+		--with-zstd \
 		--with-docbook=/usr/share/sgml/docbook/stylesheet/dsssl/modular
 
 override_dh_auto_build:
