=== debian/watch ===
Version: 5

Source: https://sf.net/ijbswa/
Matching-Pattern: privoxy-(\d+.*)-(?:stable|beta)-src.tar.gz
Pgpsigurlmangle: s/$/.asc/
